# Uses of Class
org.apache.solr.common.cloud.PerReplicaStates.State

Packages that use PerReplicaStates.State
Package
Description
org.apache.solr.common.cloud
Common Solr Cloud and ZooKeeper related classes reused on both clients & server.

## Uses of PerReplicaStates.State in org.apache.solr.common.cloud

Fields in org.apache.solr.common.cloud declared as PerReplicaStates.State
Modifier and Type
Field
Description
`final PerReplicaStates.State`
PerReplicaStates.Operation.`state`
Fields in org.apache.solr.common.cloud with type parameters of type PerReplicaStates.State
Modifier and Type
Field
Description
`final Map<String,PerReplicaStates.State>`
PerReplicaStates.`states`
Methods in org.apache.solr.common.cloud that return PerReplicaStates.State
Modifier and Type
Method
Description
`PerReplicaStates.State`
PerReplicaStates.`get(String replica)`
`PerReplicaStates.State`
PerReplicaStates.State.`getDuplicate()`
`PerReplicaStates.State`
Replica.`getReplicaState()`
`static PerReplicaStates.State`
PerReplicaStates.State.`parse(String serialized)`
Methods in org.apache.solr.common.cloud with parameters of type PerReplicaStates.State
Modifier and Type
Method
Description
`Replica`
Replica.`copyWith(PerReplicaStates.State state)`
Constructors in org.apache.solr.common.cloud with parameters of type PerReplicaStates.State
Modifier
Constructor
Description
``
`Operation(PerReplicaStates.Operation.Type typ, PerReplicaStates.State replicaState)`
``
`State(String replica, Replica.State state, Boolean isLeader, int version, PerReplicaStates.State duplicate)`